"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Random = void 0;
const MULTIPLIER = 1000000000;
const RANDOM_LIMIT = 1000000;
class Random {
    constructor() {
        this.prev = 1;
    }
    /**
      * returns random value
      * @param max - upper bound of random value
      * @returns integer value [0 ... max - 1]
      */
    next(max = RANDOM_LIMIT) {
        const result = (Random.random() + this.prev) % max;
        this.prev = result;
        return result;
    }
    static random() {
        return Math.floor(Math.random() * MULTIPLIER);
    }
}
exports.Random = Random;
